-------- SIMTEL20 Ada Software Repository Prologue ------------
--                                                           -*
-- Unit name    : text Adaform  (UNIX Lex input file)
-- Version      : 1.3
-- Author       : David Emery
--              : Siemens Research
--              : 105 College Rd
--              : Princeton, NJ   08540
-- DDN Address  : "siemens!emery"@topaz
-- Copyright    : 
-- Date created : 2 MAY 85
-- Release date : 2 MAY 85
-- Last update  : 2 MAY 85
-- Machine/System Compiled/Run on : UNIX using LEX & CC
--                                                           -*
---------------------------------------------------------------
--                                                           -*
-- Keywords     :  Formatting, Scribe, UNIX, prettyprinting,
--              :  typesetting
----------------:
--
-- Abstract     :  NOTE:  This is a UNIX lex input file.  You 
--		   need a lex processor (and C compiler) for this
--		   tool!!  This tool is NOT in Ada.
--
--                 Adaform takes a legal Ada program as input
--		   and adds Scribe commands.  The output is
--		   then run through Scribe.  The form of the
--		   output follows the typesetting conventions
--		   in the Ada LRM, with reserved words in 
--		   lower-case/boldface.  Additionally, comments
--		   are in italics.  Adaform uses the Scribe
--		   indexing capability to produce an index of
--		   types, packages, procedures, etc, indexed by
--		   both name and 'class'.  For instance, package
-- 		   Text_IO would be entered as "Text_IO, package" and
--		   "Package, Text_IO".  Adaform is based on the
--		   lex input from H. Fisher's Ada grammar.
--
--		   This submission consists of 3 parts, text describing
--		   the tool, the Lex input file, and a driver, written
-- 		   in C.  
----------------:  
--                                                           -*
------------------ Revision history ---------------------------
--                                                           -*
-- DATE         VERSION	AUTHOR                  HISTORY
--                                                           -*
------------------ Distribution and Copyright -----------------
--                                                           -*
-- This prologue must be included in all copies of this software.
--
-- This software is released to the Ada community.
--
-- Restrictions on use or distribution:  NONE
--                                                           -*
------------------ Disclaimer ---------------------------------
--                                                           -*
-- This software and its documentation are provided "AS IS" and
-- without any expressed or implied warranties whatsoever.
-- No warranties as to performance, merchantability, or fitness
-- for a particular purpose exist.
--
-- Because of the diversity of conditions and hardware under
-- which this software may be used, no warranty of fitness for
-- a particular purpose is offered.  The user is advised to
-- test the software thoroughly before relying on it.  The user
-- must assume the entire risk and liability of using this
-- software.
--
-- In no event shall any person or organization of people be
-- held responsible for any direct, indirect, consequential
-- or inconsequential damages or lost profits.
--                                                           -*
-------------------END-PROLOGUE--------------------------------

